> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View data submitted for a PayPal PayIn

> Retrieve pre-transaction data submitted previously

### Path parameters

<ParamField path="DataCollectionId" type="string" required>
  The unique identifier of the Data Collection object, returned after sending the requested data to the [POST Submit data for a PayPal PayIn](/api-reference/paypal/submit-data-paypal-payin) endpoint.
</ParamField>

### Responses

<Accordion title="200 response parameters">
  <DataCollectionId_Response />

  <ResponseField name="business_name" type="string">
    Format: Alphanumeric; example: `Acme Corp.`

    Business name used by the seller/recipient to register on the marketplace platform.
  </ResponseField>

  <ResponseField name="first_interaction_date" type="string">
    Format: ISO 8601 date format; example: `2012-12-09T 19:14:55.277-0:00`

    Date of the first interaction between the sender and receiver on the marketplace platform. Definition of ‘interaction’ is to be defined by the marketplace platform. Examples are: first transaction attempt between sender and receiver, add friend date between sender and receiver, etc.
  </ResponseField>

  <ResponseField name="sender_phone" type="string">
    Format: E.123 - Telephone Number (national notation); example `(042) 1123 4567`

    Phone number (national notation) registered with the sender/buyer’s marketplace account.
  </ResponseField>

  <ResponseField name="receiver_create_date" type="string">
    Format: ISO 8601 date format; example: `2012-12-09T19:14:55.277-0:00`

    Date of creation of the seller/recipient’s account on the marketplace platform.
  </ResponseField>

  <ResponseField name="receiver_address_country_code" type="string">
    Format: ISO Alpha-2 Country Code; example: `FR`

    Seller/recipient’s country code registered on the marketplace platform.
  </ResponseField>

  <ResponseField name="rcs" type="string">
    The `rcs` returned by PayPal.
  </ResponseField>

  <ResponseField name="stc" type="string">
    The `stc` returned by PayPal.
  </ResponseField>

  <ResponseField name="sender_create_date" type="string">
    Format: ISO 8601 date format; example: `2012-12-09T19:14:55.277-0:00`

    Date of creation of the sender/buyer’s account on the marketplace platform.
  </ResponseField>

  <ResponseField name="transaction_is_tangible" type="string">
    Possible values: `0`, `1`; example: `0`

    The seller/receiver’s transaction is for tangible rather than digital goods. If tangible, value = 1. If intangible, value = 0.
  </ResponseField>

  <ResponseField name="receiver_email" type="string">
    Format: E.123 – Email Address; example: `john@example.com`

    Seller/recipient’s registered email on the marketplace platform.
  </ResponseField>

  <ResponseField name="vertical" type="string">
    Format: Alphanumeric; examples: `household goods`, `shoes`, `clothing`, `tickets`, etc.

    Transaction level vertical flag for the seller/receiver’s transactions that are in several verticals.
  </ResponseField>

  <ResponseField name="sender_country_code" type="string">
    Format: ISO Alpha-2 Country Code; example: `FR`

    Country code registered with the sender/buyer’s marketplace account.
  </ResponseField>

  <ResponseField name="txn_count_total" type="string">
    Format: Integer; example: `34`

    Total number of transactions the sender/buyer has had to date on the marketplace platform (through PayPal or otherwise).
  </ResponseField>

  <sender_address_zip_Response />

  <ResponseField name="sender_signup_ip" type="string">
    Format: IP (IPv4 / IPv6); example: `10.220.90.20`

    IP address that the sender/buyer used to sign up on the marketplace platform.
  </ResponseField>

  <ResponseField name="rdauuid" type="string">
    The `rdauuid` returned by PayPal.
  </ResponseField>

  <ResponseField name="receiver_account_id" type="string">
    Format: Alphanumeric; example: `A12345N343`

    Unique identifier of the seller/recipient’s account on the marketplace platform.
  </ResponseField>

  <ResponseField name="sender_last_name" type="string">
    Format: Alphanumeric; example: `Doe`

    Last name registered with the sender/buyer’s marketplace account.
  </ResponseField>

  <ResponseField name="sender_account_id" type="string">
    Format: Alphanumeric; example: `A12345N343`

    Unique identifier of the sender/buyer account on the marketplace platform.
  </ResponseField>

  <ResponseField name="api_caller" type="string">
    The `api_caller` returned by PayPal.
  </ResponseField>

  <ResponseField name="sender_first_name" type="string">
    Format: Alphanumeric; example: `Jane`

    First name registered with the sender/buyer’s marketplace account.
  </ResponseField>

  <ResponseField name="sender_popularity_score" type="string">
    Possible values: `high`, `medium`, `low`; example: `high`

    Risk-based scoring on the sender/buyer by the marketplace platform (e.g., social score, identity score, risk score). This score is likely unique for each platform based on marketplace platform’s risk platform capabilities.
  </ResponseField>

  <ResponseField name="recipient_popularity_score" type="string">
    Possible values: `high`, `medium`, `low`; example: `high`

    Risk-based scoring on the seller/recipient by the marketplace platform (e.g., social score, identity score, risk score). This score is likely unique for each platform based on marketplace platform’s risk platform capabilities.
  </ResponseField>

  <ResponseField name="sender_email" type="string">
    Format: E.123 – Email Address; example: `john@example.com`

    Email address registered with the sender/buyer’s marketplace account.
  </ResponseField>
</Accordion>

<ResponseExample>
  ```json theme={null}
  {
      "DataCollectionId": "77b23645-dba3-4948-a5ba-32a134a3148d",
      "business_name": "Jane Ltd",
      "first_interaction_date": "2012-12-09T19:14:55.277-0:00",
      "sender_phone": "(0033) 678123456",
      "receiver_create_date": "2012-12-09T19:14:55.277-0:00",
      "receiver_address_country_code": "FR",
      "rcs": "0",
      "stc": "2.0",
      "sender_create_date": "2012-12-09T19:14:55.277-0:00",
      "transaction_is_tangible": "0",
      "receiver_email": "jane@sample.com",
      "vertical": "Household goods",
      "sender_country_code": "FR",
      "txn_count_total": "34",
      "sender_address_zip": "75009",
      "sender_signup_ip": "10.220.90.20",
      "rdauuid": "7df48c7f-15ab-4330-9955-367d9d2a7890",
      "receiver_account_id": "A12345N344",
      "sender_last_name": "Doe",
      "sender_account_id": "A12345N343",
      "api_caller": "5323447257614016219",
      "sender_first_name": "Jane",
      "sender_popularity_score": "high",
      "recipient_popularity_score": "high",
      "sender_email": "jane.doe@sample.com"
  }
  ```
</ResponseExample>

<RequestExample>
  ```json REST theme={null}
  // GET has no body parameters
  ```
</RequestExample>
